{"openapi":"3.1.0","info":{"title":"Scrape Creators API","description":"The easiest way to scrape public social media data at scale. Extract profiles, posts, videos, comments, and more from TikTok, Instagram, YouTube, Twitter, LinkedIn, Facebook, Reddit, and 27+ platforms.","version":"1.0.0","contact":{"name":"Scrape Creators","url":"https://scrapecreators.com","email":"support@scrapecreators.com"}},"servers":[{"url":"https://api.scrapecreators.com","description":"Production server"}],"security":[{"apiKeyAuth":[]}],"tags":[{"name":"TikTok","description":"Scrape TikTok profiles, videos, and more"}],"paths":{"/v1/tiktok/video/transcript":{"get":{"tags":["TikTok"],"summary":"Transcript","description":"Extracts the transcript, captions, or subtitles from a TikTok video by URL. Returns `id`, `url`, and `transcript` as a WEBVTT-formatted string with timestamped text segments. Video must be under 2 minutes; costs an additional 10 credits when `use_ai_as_fallback=true`.","parameters":[{"name":"url","in":"query","required":true,"description":"TikTok video URL","schema":{"type":"string"},"example":"https://www.tiktok.com/@stoolpresidente/video/7499229683859426602"},{"name":"language","in":"query","required":false,"description":"Language of the transcript. 2 letter language code, ie 'en', 'es', 'fr', 'de', 'it', 'ja', 'ko', 'zh'","schema":{"type":"string"},"example":"en"},{"name":"use_ai_as_fallback","in":"query","required":false,"description":"Set to 'true' to use AI as a fallback to get the transcript if the transcript is not found. Costs 10 credits to use this feature. And only if the video is under 2 minutes.","schema":{"type":"string"},"example":"false"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"example":{"id":"7499229683859426602","url":"https://www.tiktok.com/@stoolpresidente/video/7499229683859426602","transcript":"WEBVTT\n\n\n00:00:00.120 --> 00:00:01.840\nAlright, pizza review time.\n\n00:00:01.841 --> 00:00:03.761\nSal's Pizza Factory. Oh,\n\n00:00:03.762 --> 00:00:05.721\nit's Fucking Corn. We're in Charlotte.\n\n00:00:05.722 --> 00:00:07.861\nAlright man, any chance I can get a real quick picture?\n\n00:00:07.920 --> 00:00:10.040\nShaq or Dwight Howard? I gotta pick one.\\n"}}}}}}}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Scrape Creators API key"}}}}